@import 'libs/shared/assets/src/global-style/color';
@import "libs/shared/assets/src/global-style/variable";
.container {
  max-width: 100%;
  height: 100%;
}
:host ::ng-deep {
  .ql-container {
    min-height: 10rem;
    max-height: 20.5rem;
    flex: 1;
    display: flex;
    flex-direction: column;
  }

  .ql-editor {
    height: 100%;
    flex: 1;
    overflow-y: auto;
    width: 100%;
  }
  .ql-snow .ql-tooltip{
    left: 0px !important;
  }
}
.create-template-card {
  margin: 0px 24px 12px 24px;
  border-radius: 16px;
  &__row {
    margin-top: 16px;
  }
  &__left {
    padding-left: 15px;
    &__button {
      margin-top: 2rem;
      display: flex;
      justify-content: center;
    }
    &__label {
      font-size: 14px;
      color: $label-color;
      line-height: 26px;
      font-weight: bold;
    }
    &__input {
      width: 100%;
      border-radius: 8px;
      min-height: 44px;
      @include placeholder {
        color: $bg-gray-placeholder;
        font-size: 14px;
      }
    }
    &__icon {
      border-radius: 50%;
      position: absolute;
      right: 0.5rem;
      top: 1.1rem;
      font-size: 12px;
    }
    &__input:hover, &__input:focus {
      border-color: $bg-primary-default;
      box-shadow: none;
    }
    &__icon:hover {
      cursor: pointer;
    }
  }
}
.editor {
  height: 25.5rem;
  margin-top: 0.5rem;
}
.wrap-button {
  display: flex;
  justify-content: flex-end;
  margin: 0 2rem 1rem 0;
}
.input__label {
  color: $label-color;
  font-size: 14px;
  font-family: avertaB, sans-serif;
}
.text-message {
  font-size: 12px;
  margin-top: 8px;
  color: $label-color;
  font-family: avertaL, sans-serif;
  em {
    color: $text-error;
    margin-right: 8px;
  }
  &__error {
    color: $text-error;
  }
}
.invalid {
  border-color: $text-error;
}
.invalid:hover, .invalid:focus
 {
  border-color: $text-error;
}

.label-password{
  padding-bottom: 0.25em;
}
